summaryrefslogtreecommitdiff
path: root/dev-python/sniffio
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/sniffio
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/sniffio')
-rw-r--r--dev-python/sniffio/Manifest1
-rw-r--r--dev-python/sniffio/metadata.xml10
-rw-r--r--dev-python/sniffio/sniffio-1.3.1.ebuild34
3 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/sniffio/Manifest b/dev-python/sniffio/Manifest
new file mode 100644
index 000000000000..4ae7428a4dc1
--- /dev/null
+++ b/dev-python/sniffio/Manifest
@@ -0,0 +1 @@
+DIST sniffio-1.3.1.gh.tar.gz 16907 BLAKE2B 9edec11e204f2624d589786744ed2bce6b082fb338c542bf6bddc22a481c9cc97cfd1c5101ae8cad95bf5068ee40d1659aeb420a2f6377377bf9e514e4c49cd1 SHA512 34e2e0a2e1c43e4ce1e1b5cdfb16c4f872897bbc7da77a76b55dc9cae475d87fe1e35d7103cad68ddab93c8be743aaa312ec12b1ddd96ad968be027faa24839f
diff --git a/dev-python/sniffio/metadata.xml b/dev-python/sniffio/metadata.xml
new file mode 100644
index 000000000000..5e95859f915a
--- /dev/null
+++ b/dev-python/sniffio/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/sniffio/sniffio-1.3.1.ebuild b/dev-python/sniffio/sniffio-1.3.1.ebuild
new file mode 100644
index 000000000000..e4f8eb4e368f
--- /dev/null
+++ b/dev-python/sniffio/sniffio-1.3.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2021-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sniff out which async library your code is running under"
+HOMEPAGE="
+ https://github.com/python-trio/sniffio/
+ https://pypi.org/project/sniffio/
+"
+SRC_URI="
+ https://github.com/python-trio/sniffio/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # curio is not packaged
+ sniffio/_tests/test_sniffio.py::test_curio
+)